%define	name	libextractor
%define	version	0.5.18a
%define	release	%mkrel 2

%define realname extractor

%define major 1
%define libname %mklibname %{realname} %major
%define libnamedev %mklibname %{realname} %major -d


Summary: Libextractor library used to extract meta-data from files
Name: %{name}
Version: %{version}
Release: %{release}
License: BSD
Group: System/Libraries
URL: http://www.gnunet.org/libextractor/
Source: http://www.gnunet.org/libextractor/download/%{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-buildroot

BuildRequires: zlib-devel
BuildRequires: bzip2-devel
BuildRequires: libltdl-devel

%description
libextractor is a library used to extract meta-data from files of arbitrary 
type. It is designed to use helper-libraries to perform the actual extraction, 
and to be trivially extendable by linking against external extractors for 
additional file types. The goal is to provide developers of file-sharing 
networks or WWW-indexing bots with a universal library to obtain simple 
keywords to match against queries. libextractor contains a shell-command 
"extract" that, similar to the well-known "file" command, can extract meta-data 
from a file and print the results to stdout. Currently, it supports the formats 
HTML, PDF, PS, MP3, OGG, JPEG, GIF, PNG, RPM, ZIP, Real, QT and ASF. Also, 
various additional MIME types are detected.

%package -n %{libname}
Summary: Libextractor library used to extract meta-data from files 
Group: Development/Other
Provides: lib%{name} = %{version}

%description -n %{libname}
libextractor is a library used to extract meta-data from files of arbitrary 
type. It is designed to use helper-libraries to perform the actual extraction, 
and to be trivially extendable by linking against external extractors for 
additional file types. The goal is to provide developers of file-sharing 
networks or WWW-indexing bots with a universal library to obtain simple 
keywords to match against queries. libextractor contains a shell-command 
"extract" that, similar to the well-known "file" command, can extract meta-data 
from a file and print the results to stdout. Currently, it supports the formats 
HTML, PDF, PS, MP3, OGG, JPEG, GIF, PNG, RPM, ZIP, Real, QT and ASF. Also, 
various additional MIME types are detected.

%package -n %{libnamedev}
Summary: Libextractor library headers and development libraries
Group: Development/Other
Requires: %{libname} = %{version}
Provides: lib%{name}-devel = %{version}
Provides: libextractor-devel

%description -n %{libnamedev}
libextractor devel files


%prep
rm -rf $RPM_BUILD_ROOT

%setup -q 

%build
  
./configure --prefix=%_prefix --mandir=%_mandir --datadir=%_datadir --libdir=%_libdir

make

%install

%makeinstall

%find_lang %name

%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files -n %{libname} -f %name.lang
%defattr(-,root,root)
%{_libdir}/%{name}.so.%{major}*
%_mandir/man1/*
%_mandir/man3/*
%_infodir/extractor.info.*

%files -n %{libnamedev}
%defattr(-,root,root)
%{_libdir}/%{name}.so
%{_libdir}/%{name}.*a
%{_libdir}/%name/*.so
%{_libdir}/%name/*.*a
%{_includedir}/*
%{_bindir}/*
%{_libdir}/pkgconfig/*




%changelog
* Mon Nov 05 2007 Nicolas Vigier <nvigier@mandriva.com> 0.5.18a-2mdv2008.1
+ Revision: 106009
- fix files list (#30265)

* Tue Aug 14 2007 Nicolas Vigier <nvigier@mandriva.com> 0.5.18a-1mdv2008.0
+ Revision: 63434
- new version

* Fri May 04 2007 Lenny Cartier <lenny@mandriva.org> 0.5.18-1mdv2008.0
+ Revision: 22556
- Buildrequires libltdl-devel (Bug #29425)


* Thu Mar 15 2007 Lenny Cartier <lenny@mandriva.com> 0.5.18-1mdv2007.1
+ Revision: 144127
- Update to 0.5.18

* Thu Jan 04 2007 Lenny Cartier <lenny@mandriva.com> 0.5.17a-1mdv2007.1
+ Revision: 104053
- Update to 0.5.17a

* Mon Nov 13 2006 Lenny Cartier <lenny@mandriva.com> 0.5.16-1mdv2007.1
+ Revision: 83683
- Update to 0.5.15
- Update to 0.5.15
- Import libextractor

* Fri May 19 2006 Lenny Cartier <lenny@mandriva.com> 0.5.14-1mdk
- 0.5.14

* Fri May 05 2006 Lenny Cartier <lenny@mandriva.com> 0.5.13-1mdk
- 0.5.13

* Thu Apr 27 2006 Lenny Cartier <lenny@mandriva.com> 0.5.12-1mdk
- 0.5.12

* Mon Mar 13 2006 Lenny Cartier <lenny@mandriva.com> 0.5.11-1mdk
- 0.5.11

* Mon Jan 23 2006 Lenny Cartier <lenny@mandriva.com> 0.5.9-1mdk
- 0.5.9

* Wed Dec 07 2005 Lenny Cartier <lenny@mandriva.com> 0.5.8-1mdk
- 0.5.8

* Mon Nov 14 2005 Lenny Cartier <lenny@mandriva.com> 0.5.7-1mdk
- 0.5.7

* Fri Oct 21 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.5.6a-3mdk
- Fix BuildRequires

* Wed Oct 05 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.5.6a-2mdk
- Rebuild for new mozilla

* Wed Oct 05 2005 Lenny Cartier <lenny@mandriva.com> 0.5.6a-1mdk
- 0.5.6a

* Thu Aug 25 2005 Oden Eriksson <oeriksson@mandriva.com> 0.4.2-3mdk
- rebuilt against new Magick libs

* Sat Aug 06 2005 Oden Eriksson <oeriksson@mandriva.com> 0.4.2-2mdk
- rebuilt against latest libMagick

* Sat Apr 02 2005 Lenny Cartier <lenny@mandrakesoft.com> 0.4.2-1mdk
- 0.4.2

* Mon Jan 24 2005 Lenny Cartier <lenny@mandrakesoft.com> 0.4.0-1mdk
- 0.4.0

* Mon Nov 15 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.3.11-1mdk
- 0.3.11

* Tue Oct 26 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.3.10-1mdk
- 0.3.10

* Tue Oct 19 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.3.9-1mdk
- 0.3.9

* Sat Oct 09 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.3.8-1mdk
- 0.3.8

* Sat Sep 25 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.3.7-1mdk
- 0.3.7

* Tue Sep 14 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.3.6-1mdk
- 0.3.6

* Thu Sep 02 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.3.5-1mdk
- 0.3.5

* Thu Aug 26 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.3.4-1mdk
- 0.3.4

* Tue Jul 27 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.3.3-1mdk
- 0.3.3

* Wed Jun 02 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.3.2-1mdk
- 0.3.2

* Thu May 06 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.3.1-1mdk
- 0.3.1

* Sat Apr 10 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.2.7-1mdk
- 0.2.7

